PETSc version 3.15.5
Fix/Edit manual page

# SNESLineSearchSetPostCheck

Sets a user function that is called after the line search has been applied to determine the step direction and length. Allows the user a chance to change or override the decision of the line search routine

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESLineSearchSetPostCheck(SNESLineSearch linesearch, PetscErrorCode (*func)(SNESLineSearch,Vec,Vec,Vec,PetscBool*,PetscBool*,void*),void *ctx)

Logically Collective on SNESLineSearch

### Input Parameters

| linesearch | - the SNESLineSearch context
| func | - [optional] function evaluation routine, see SNESLineSearchPostCheck() for the calling sequence
| ctx | - [optional] user-defined context for private data for the function evaluation routine (may be NULL)

### See Also

SNESGetLineSearch(), SNESLineSearchPostCheck(), SNESLineSearchSetPreCheck(), SNESLineSearchGetPreCheck(), SNESLineSearchGetPostCheck()

### Level

intermediate

### Location

src/snes/linesearch/interface/linesearch.c

### Examples

src/snes/tutorials/ex3.c.html
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages